import com.mxgxw.graphics.*;

/**
 * La clase BotonPosicin Hereda de la clase com.mxgxw.graphics.BotonSimple todas las caracteristicas bsicas de un botn,
 * pero tambien guarda dentro de s la informacin de como esta colocada dentro de un arreglo.
 * De esta manera cada botn creado se autoreferencia su posicin en el arreglo,
 * permitiendo manejar fcilmente todas las funciones que necesiten conocer la posicin del dato dentro del arreglo.
 * La otra ventaja es que permite tratar a todos los botones de manera similar sin necesidad de escribir codigo individual para manejar sus eventos.
 * @author Mario Gmez
 * @version 0.1.0
 * @license Cdigo fuente protegido bajo la GNU-GPL o posterior que puede ser obtenida de http://www.fsf.org/. Se incluye una copia con las fuentes en el archivo LICENSE.
 */
public class BotonPosicion extends BotonSimple {
    private java.awt.Point pos;
    /**
     * Crea un nuevo Boton guardando dentro de el la posicin que tiene dentro
     * del arreglo.
     */
    BotonPosicion(java.awt.Point p) {
        super();
        pos = p;
    }
    /**
     * Crea un nuevo Boton guardando dentro de el la posicin que tiene dentro 
     * del arreglo y especificandole la imagen que sera mostrada en el mismo.
     */
    BotonPosicion(java.awt.Image img,java.awt.Point p) {
        super(img);
        pos = p;
    }
    /**
     * Esta funcin devuelve la posicin correcpondiente en el arreglo, del botn especificado.
     * @return Valor de posicin en el arreglo
     */    
    public java.awt.Point obtenerPosicion() { return pos; }
}