/*
 * AdministradorPuntajes.java
 *
 * Created on 30 de agosto de 2004, 01:32 PM
 */

package com.mxgxw.games;

/**
 * Esta clase guarda los puntajes de los usuarios y genera un cuadro de dialogo
 * que los muestra.
 * @author Mario Gmez
 * @version 0.1.0
 * @license Cdigo fuente protegido bajo la GNU-GPL o posterior que puede ser obtenida de http://www.fsf.org/. Se incluye una copia con las fuentes en el archivo LICENSE.
 */
public class AdministradorPuntajes {
    
    java.util.ArrayList puntajes;
    
    /**
     * Constructor por defecto, este inicializa el ArrayList interno que guarda los puntajes.
     */    
    public AdministradorPuntajes() {
        puntajes = new java.util.ArrayList();
    }
    
    /**
     * Agrega un nuevo puntaje al ArrayList interno.
     * @param p Puntaje que ser agregado al ArrayList
     */    
    public void agregarPuntaje(Puntaje p){
        puntajes.add(0, p);
    }
    
    /**
     * Genera un cuadro de dialogo que muestra los puntajes.
     * @return Cuadro de dialogo generado
     */    
    public javax.swing.JDialog mostrarPuntajes() {
         javax.swing.JDialog resultados = new javax.swing.JDialog();
         java.util.ListIterator i = puntajes.listIterator();
         java.awt.List l = new java.awt.List(5);
         while(i.hasNext()) {
             Puntaje p = (Puntaje)i.next();
             l.add("Nombre: "+p.nombre+" clicks: "+p.clicks);
         }
         resultados.getContentPane().add(l);
         resultados.setSize(200,400);
         resultados.show();
         return resultados;
    }
    
}
